Bug 997947 - AttributeError: 'DeviceFormat' object has no attribute 'mount'
AttributeError: 'DeviceFormat' object has no attribute 'mount'
Status: CLOSED DUPLICATE of bug 1000889
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:7f552d334179e61f8479536ab74...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 11:21 EDT by Chuck Forsberg
Modified: 2015-01-05 11:24 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-05 11:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (332.35 KB, text/plain)
2013-08-16 11:21 EDT, Chuck Forsberg
no flags Details
File: anaconda.log (5.78 KB, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: environ (495 bytes, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: lsblk_output (1.41 KB, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: nmcli_dev_list (480 bytes, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: os_info (297 bytes, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: program.log (20.58 KB, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: storage.log (52.37 KB, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: syslog (96.45 KB, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: ifcfg.log (402 bytes, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details
File: packaging.log (21.36 KB, text/plain)
2013-08-16 11:22 EDT, Chuck Forsberg
no flags Details

  None (edit)
Description Chuck Forsberg 2013-08-16 11:21:54 EDT
Description of problem:
pxeboot install attempted

Version-Release number of selected component:
anaconda-20.6-1

The following was filed automatically by anaconda:
anaconda 20.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/image.py", line 194, in opticalInstallMedia
    dev.format.mount(mountpoint=mountpoint)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 579, in _initialize
    self._cdrom = opticalInstallMedia(self.storage.devicetree)
  File "/usr/lib64/python2.7/threading.py", line 764, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
AttributeError: 'DeviceFormat' object has no attribute 'mount'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img ramdisk_size=9216 root=live:http://192.168.1.13/squashfs.img repo=http://192.168.1.13/rawhide/os BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.0-0.rc5.git3.1.fc20.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide
Comment 1 Chuck Forsberg 2013-08-16 11:21:59 EDT
Created attachment 787328 [details]
File: anaconda-tb
Comment 2 Chuck Forsberg 2013-08-16 11:22:02 EDT
Created attachment 787329 [details]
File: anaconda.log
Comment 3 Chuck Forsberg 2013-08-16 11:22:06 EDT
Created attachment 787330 [details]
File: environ
Comment 4 Chuck Forsberg 2013-08-16 11:22:09 EDT
Created attachment 787331 [details]
File: lsblk_output
Comment 5 Chuck Forsberg 2013-08-16 11:22:13 EDT
Created attachment 787332 [details]
File: nmcli_dev_list
Comment 6 Chuck Forsberg 2013-08-16 11:22:16 EDT
Created attachment 787333 [details]
File: os_info
Comment 7 Chuck Forsberg 2013-08-16 11:22:19 EDT
Created attachment 787334 [details]
File: program.log
Comment 8 Chuck Forsberg 2013-08-16 11:22:23 EDT
Created attachment 787335 [details]
File: storage.log
Comment 9 Chuck Forsberg 2013-08-16 11:22:26 EDT
Created attachment 787336 [details]
File: syslog
Comment 10 Chuck Forsberg 2013-08-16 11:22:30 EDT
Created attachment 787337 [details]
File: ifcfg.log
Comment 11 Chuck Forsberg 2013-08-16 11:22:33 EDT
Created attachment 787338 [details]
File: packaging.log
Comment 12 al morris 2013-08-18 16:42:04 EDT
there is still a problem with this thing requiring a password which is not supposed to be there

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   repo=http://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/x86_64/os/ initrd=http://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/x86_64/os/images/pxeboot/initrd.img BOOT_IMAGE=http://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/x86_64/os/images/pxeboot/vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-0.rc5.git5.1.fc20.x86_64
package:        anaconda-20.6-1
product:        Fedora
reason:         AttributeError: 'DeviceFormat' object has no attribute 'mount'
release:        Cannot get release name.
version:        rawhide
Comment 13 Chuck Forsberg 2013-08-20 13:15:27 EDT
tried to install with pxeboot

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img ramdisk_size=9216 root=live:http://192.168.1.13/squashfs.img repo=http://192.168.1.13/rawhide/os BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.11.0-0.rc6.git0.1.fc20.x86_64
package:        anaconda-20.6-1
product:        Fedora
reason:         AttributeError: 'DeviceFormat' object has no attribute 'mount'
release:        Cannot get release name.
version:        rawhide
Comment 14 Fedora End Of Life 2013-09-16 12:34:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 15 Martin Bříza 2013-09-18 11:21:03 EDT
I'm just sitting here, trying a third F20 image from PXE... This happened after I selected my language and was going to set a different keyboard layout but I have no idea if I managed to click the KEYBOARD button before the error window appeared.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=/distrotrees/64158/initrd method=http://download-01.eng.brq.redhat.com/pub/fedora/linux/development-snapshot-20130916/20/x86_64/os/ repo=http://download-01.eng.brq.redhat.com/pub/fedora/linux/development-snapshot-20130916/20/x86_64/os/  BOOT_IMAGE=/distrotrees/64158/kernel 
hashmarkername: anaconda
kernel:         3.11.0-300.fc20.x86_64
package:        anaconda-20.10-1
product:        Fedora
reason:         AttributeError: 'DeviceFormat' object has no attribute 'mount'
release:        Cannot get release name.
version:        20
Comment 16 David Shea 2015-01-05 11:24:07 EST

*** This bug has been marked as a duplicate of bug 1000889 ***

Note You need to log in before you can comment on or make changes to this bug.